Calculate cart totals
curl --request GET \
--url https://api-beta.pepay.io/api/commerce/merchant/carts/totals \
--header 'x-commerce-api-key: <api-key>'import requests
url = "https://api-beta.pepay.io/api/commerce/merchant/carts/totals"
headers = {"x-commerce-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-commerce-api-key': '<api-key>'}};
fetch('https://api-beta.pepay.io/api/commerce/merchant/carts/totals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"subtotal": 123,
"shipping": 123,
"tax": 123,
"fees": {
"fixed": 123,
"percentage": 123,
"percentageAmount": 123,
"total": 123
},
"total": 123,
"itemCount": 123,
"zipCode": "<string>"
}
}Commerce
Calculate cart totals
Get cart subtotal, shipping, tax, fees, and total
GET
/
api
/
commerce
/
merchant
/
carts
/
totals
Calculate cart totals
Authorizations
commerceApiKeymerchantApiKey
Legacy alias for commerce-scoped API keys. Prefer x-api-key with scope=commerce.
Query Parameters
US zip code for shipping and tax calculation
Pattern:
^\d{5}(-\d{4})?$Was this page helpful?
⌘I

